## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         pyrdfa3
%global         forgeurl        https://github.com/prrvchr/pyrdfa3
Version:        3.6.4
%global         tag             v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        RDFa 1.1 distiller/parser library

License:        W3C
URL:            %{forgeurl}
Source:         %{forgeurl}/archive/%{tag}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel

BuildArch: noarch

%global _description %{expand:
pyRdfa distiller/parser library.
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}
# Remove pre-generated files
rm -r doc
rm -r src/pyRdfa3.egg-info

# Relax version requirement on setuptools and requests
sed -i 's/setuptools>=71.1.0/setuptools/g' pyproject.toml
sed -i 's/requests>=2.32.3/requests>=2.31.0/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyRdfa -l


%check
# No tests associated with distribution
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 05 2024 Benson Muite <benson_muite@emailplus.org> - 3.6.4-1
- Initial import bz #2322078
## END: Generated by rpmautospec
